'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var node = require('./node.cjs');
var LogEcs = require('./ecs/LogEcs.cjs');
var logger = require('./logger.cjs');
var browserLogs = require('./browserLogs.cjs');
var httpLogs = require('./httpLogs.cjs');

/** @typedef {import('./utils').Level} Level */
/** @typedef {import('./node.js').LogOptions & {Log: typeof Log}} LogOptions */
/** @typedef {import('./node.js').LogOptionWrapConsole} LogOptionWrapConsole */
/** @typedef {import('./node.js').LogOptionHandleExitEvents} LogOptionHandleExitEvents */
/** @typedef {import('./ecs/LogEcs.js').LogOptionsEcs} LogOptionsEcs */
/** @typedef {import('./browserLogs.js').MwLogOption} MwLogOption */
/** @typedef {import('./httpLogs.js').LogOptionsHttpLog} LogOptionsHttpLog */
/** @typedef {import('./httpLogs.js').IncomingMessageWithId} IncomingMessageWithId */

exports.Log = node.Log;
exports.default = node.Log;
exports.LogEcs = LogEcs.LogEcs;
exports.logger = logger.logger;
exports.browserLogs = browserLogs.browserLogs;
exports.httpLogs = httpLogs.httpLogs;
