'use strict';

var node = require('./node.cjs');

const loggers = {};

/**
 * @typedef {import('./index.js').LogOptions} LogOptions
 */

/**
 * @param {string} namespace
 * @param {LogOptions} [opts]
 */
function logger (namespace, opts) {
  const { Log: optsLog, ..._opts } = opts || {};
  const LogCls = optsLog || node.Log;

  let log = loggers[namespace];
  if (!log) {
    log = loggers[namespace] = new LogCls(namespace, _opts);
  }
  return log
}

exports.logger = logger;
