'use strict';

/**
 * request serializer
 *
 * removes cookie values and authorization headers
 * @param {object} [req]
 * @returns {object}
 */
function reqSerializer (req) {
  if (typeof req !== 'object' || !req) return

  const { authorization, cookie, ...headers } = req.headers || {};

  const logReq = {
    id: typeof req.id === 'function' ? req.id() : req.id,
    method: req.method,
    url: req.originalUrl || req.url,
    remoteAddress: req.socket?.remoteAddress,
    remotePort: req.socket?.remotePort
  };
  if (Object.keys(headers).length) {
    logReq.headers = headers;
  }

  return logReq
}

exports.reqSerializer = reqSerializer;
